Which browser should I use?

The Classes*v2 Team recommends using the most up-to-date version of your preferred browser. Note that new incompatibilities may be introduced when a new browser version is released; the team will work to address serious compatibility problems as quickly as possible.

If you experience problems when accessing Classes*v2 with your preferred browser, please try the same task in another browser. For example, if you're having difficulties accessing a link using Firefox, close your browser, log into Classes*v2 from Chrome, and try to open the link again.

If you continue to have difficulties, please contact classes2@yale.edu for further assistance.